TamesideCollege

It has come to our attention that the current version of internet explorer that is installed on the network is out of date. So therefore we have decided to start a petition to get it upgraded. The latest version of Internet Explorer or FireFox needs to be installed. Feel free to sign this petition and when we have a substantial amount of signatures I will pass it onto the IT Helpdesk.

Discussion

No comments yet.

join the discussion

Recent signatures

  • username

    Dursley, United Kingdom

    6 years ago
  • username

    Niall Lewin, United Kingdom

    6 years ago Comments: Ummm.... yeah ok then
  • username

    Stuart Arrowsmith, United Kingdom

    6 years ago Comments: I think it should be updated to firfox as it is easier to navigate.
See more

Petition highlights

There are no highlights yet.